package com.bonus.core.device.door.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("dc_auto_rule_detail")
@ApiModel(
   value = "DcAutoRuleDetail对象",
   description = ""
)
public class DcAutoRuleDetail implements Serializable {
   private static final long serialVersionUID = 1L;
   private Integer id;
   @ApiModelProperty("组织id")
   private Long orgId;
   @ApiModelProperty("规则id")
   private Integer ruleId;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("群组id")
   private Integer groupId;
   @ApiModelProperty("排序")
   private Integer sort;
   @ApiModelProperty("创建时间")
   @TableField(
      fill = FieldFill.INSERT
   )
   private LocalDateTime crtime;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   @TableField(
      fill = FieldFill.UPDATE
   )
   private LocalDateTime uptime;

   public Integer getId() {
      return this.id;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public Integer getRuleId() {
      return this.ruleId;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public Integer getGroupId() {
      return this.groupId;
   }

   public Integer getSort() {
      return this.sort;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DcAutoRuleDetail setId(final Integer id) {
      this.id = id;
      return this;
   }

   public DcAutoRuleDetail setOrgId(final Long orgId) {
      this.orgId = orgId;
      return this;
   }

   public DcAutoRuleDetail setRuleId(final Integer ruleId) {
      this.ruleId = ruleId;
      return this;
   }

   public DcAutoRuleDetail setPsnType(final Integer psnType) {
      this.psnType = psnType;
      return this;
   }

   public DcAutoRuleDetail setGroupId(final Integer groupId) {
      this.groupId = groupId;
      return this;
   }

   public DcAutoRuleDetail setSort(final Integer sort) {
      this.sort = sort;
      return this;
   }

   public DcAutoRuleDetail setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DcAutoRuleDetail setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DcAutoRuleDetail setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DcAutoRuleDetail setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
